package thyyxxk.webserver.service.lis;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import thyyxxk.webserver.dao.lis.LisDao;
import thyyxxk.webserver.entity.lis.LabRpt;
import thyyxxk.webserver.entity.lis.MzYjReq;

import java.util.List;

@Slf4j
@Service
public class LisService {

    @Autowired
    private LisDao dao;

    public List<MzYjReq> getMzYjReqByPatientId(String patientId, String reqType) {
        return dao.getMzYjReqByPatientId(patientId, reqType);
    }

    public MzYjReq getMzJyReqDetail(int reqNo) {
        return dao.getMzJyReqDetail(reqNo);
    }

    public List<LabRpt> getLabRpt(String reportId, String patientId) {
        return dao.getLabRpt(reportId);
    }
}
